Loading...
Searching...
No Matches
Opm::DeckOutput Class Reference

## Classes

struct | format

## Public Member Functions

| DeckOutput (std::ostream &s, int precision=10)
void | stash_default ()
void | start_record ()
void | end_record ()
void | start_keyword (const std::string &kw, bool split_line)
void | end_keyword (bool add_slash)
void | endl ()
void | write_string (const std::string &s)
template<typename T>
void | write (const T &value)
template<>
void | write_value (const std::string &value)
template<>
void | write_value (const RawString &value)
template<>
void | write_value (const int &value)
template<>
void | write_value (const double &value)
template<>
void | write_value (const UDAValue &value)

## Public Attributes

format | fmt

The documentation for this class was generated from the following files:

- opm/input/eclipse/Deck/DeckOutput.hpp
- opm/input/eclipse/Deck/DeckOutput.cpp